<!--- if the grid has been changed, update it --->
<CFIF IsDefined('form.MyGrid.rowstatus.action')>
   <CFGRIDUPDATE GRID="MyGrid" 
                 DATASOURCE="ProgrammingCF" 
                 TABLENAME="EmployeeDirectory"  
                 KEYONLY="No">
</CFIF>

<CFQUERY NAME="GetPeople" DATASOURCE="ProgrammingCF">
   SELECT * 
   FROM EmployeeDirectory
   ORDER BY Name
</CFQUERY>

<CFQUERY NAME="GetDepartments" DATASOURCE="ProgrammingCF">
   SELECT DISTINCT Department
   FROM EmployeeDirectory
</CFQUERY>

<CFFORM ACTION="10-26.cfm" ENABLECAB="Yes" NAME="MyForm" 
        ENCTYPE="application/x-www-form-urlencoded">

<CFGRID NAME="MyGrid" 
        WIDTH="600"
        HEIGHT="250" 
        AUTOWIDTH="Yes"
        QUERY="GetPeople" 
        SELECTMODE="EDIT" 
        INSERT="Yes"
        DELETE="Yes"
        INSERTBUTTON="Add New Record"
        DELETEBUTTON="Delete"> 

  <CFGRIDCOLUMN NAME="ID" DISPLAY="No">
  <!--- if the employee is the president, change the
        text color to blue. Otherwise, leave it alone --->  
  <CFGRIDCOLUMN NAME="Name" BOLD="Yes"
                HEADERTEXTCOLOR="Blue"
                TEXTCOLOR="(C2 EQ President ? blue : black)"
                BGCOLOR="LightGray">

  <!--- if the employee is the president, change the
        text color to blue. Otherwise, leave it alone --->                 
  <CFGRIDCOLUMN NAME="Title"
                TEXTCOLOR="(CX EQ President ? blue : black)"
                HEADERTEXTCOLOR="Blue">
                
  <!--- here's where we create a dropdown list of departments --->
  <CFGRIDCOLUMN NAME="Department" 
                HEADERTEXTCOLOR="Blue"
                VALUES="#ValueList(GetDepartments.Department)#"
                VALUESDISPLAY="Off"
                VALUESDELIMITER=",">
                
  <CFGRIDCOLUMN NAME="Email" HEADER="E-mail" HEADERTEXTCOLOR="Blue">
  <CFGRIDCOLUMN NAME="PhoneExt" HEADER="Phone ext." HEADERTEXTCOLOR="Blue">

   <!--- use a checkbox to represent Boolean values --->
  <CFGRIDCOLUMN NAME="Exempt" HEADERTEXTCOLOR="Blue" TYPE="Boolean">
</CFGRID>
<BR>
<INPUT TYPE="Submit" NAME="submit" VALUE="Submit Changes">
<INPUT type="hidden" NAME="GridChanged" VALUE="yes">
</CFFORM>
