<!--- StartRow is the default starting row for the output.
      DisplayRows determines how many records to display at a time --->
<CFPARAM NAME="StartRow" DEFAULT="1">
<CFPARAM NAME="DisplayRows" DEFAULT="4">

<!--- query the EmployeeDirectory table. Cache the result set for 15 
      minutes. --->
<CFQUERY NAME="GetEmployeeInfo" DATASOURCE="ProgrammingCF" 
         CACHEDWITHIN="#CreateTimeSpan(0,0,15,0)#">
         SELECT Name,  Title, Department, Email, PhoneExt
         FROM EmployeeDirectory
</CFQUERY>

<!--- Set a variable to hold the record number of the last
      record to output on the current page. --->
<CFSET ToRow = StartRow + (DisplayRows - 1)>
<CFIF ToRow GT GetEmployeeInfo.RecordCount>
    <CFSET ToRow = GetEmployeeInfo.RecordCount>
</CFIF>

<HTML>
<HEAD>
    <TITLE>Next/Previous Record Browsing</TITLE>
</HEAD>

<BODY>

<!--- Output the range of records displayed on the page as well as the total 
      number of records in the result set --->
<CFOUTPUT>
<H4>Displaying records #StartRow# - #ToRow# from the 
#GetEmployeeInfo.RecordCount# total records in the database.</H4>
</CFOUTPUT>

<!--- create the header for the table --->
<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
  <TH>Name</TH>
  <TH>Title</TH>
  <TH>Department</TH>
  <TH>E-mail</TH>
  <TH>Phone Extension</TH>
</TR>    
<!--- dynamically create the rest of the table and output the number of
      records specified in the DisplayRows variable --->
<CFOUTPUT QUERY="GetEmployeeInfo" STARTROW="#StartRow#"
          MAXROWS="#DisplayRows#">
<TR BGCOLOR="##C0C0C0">
  <TD>#Name#</TD>
  <TD>#Title#</TD>
  <TD>#Department#</TD>
  <TD><A HREF="Mailto:#Email#">#Email#</A></TD>
  <TD>#PhoneExt#</TD>
</TR>    
</CFOUTPUT>
</TABLE>

<!--- update the values for the next and previous rows to be returned --->
<CFSET Next = StartRow + DisplayRows>
<CFSET Previous = StartRow - DisplayRows>

<!--- Create a previous records link if the records being displayed aren't the
      first set --->
<CFOUTPUT>
<CFIF Previous GTE 1>
   <A HREF="11-5.cfm?StartRow=#Previous#"><B>Previous #DisplayRows# 
      Records</B></A>
<CFELSE>
Previous Records  
</CFIF>

<B>|</B>

<!--- Create a next records link if there are more records in the record set 
      that haven't yet been displayed. --->
<CFIF Next LTE GetEmployeeInfo.RecordCount>
    <A HREF="11-5.cfm?StartRow=#Next#"><B>Next 
    <CFIF (GetEmployeeInfo.RecordCount - Next) LT DisplayRows>
      #Evaluate((GetEmployeeInfo.RecordCount - Next)+1)#
    <CFELSE>
      #DisplayRows#
    </CFIF>  Records</B></A>
<CFELSE>
Next Records   
</CFIF>
</CFOUTPUT>

</BODY>
</HTML>
