<!--- assign the current year to the variable whichyear --->
<CFPARAM NAME="WhichYear" DEFAULT="#Year(Now())#">

<!--- query the database for all articles from the current year --->
<CFQUERY NAME="GetTitles" DATASOURCE="ProgrammingCF">
         SELECT ArticleID,Title,DatePosted FROM News
         WHERE {fn YEAR(DatePosted)} = #CreateODBCDate(WhichYear)#
         ORDER BY DatePosted
</CFQUERY>

<!--- query the database for all years besides the current year --->
<CFQUERY NAME="GetArchiveDates" DATASOURCE="ProgrammingCF">
         SELECT DISTINCT {fn YEAR(DatePosted)} AS PreviousYears FROM News
         WHERE {fn YEAR(DatePosted)} <> #CreateODBCDate(WhichYear)#
</CFQUERY>

<HTML>
<HEAD>
    <TITLE>Company Press Releases</TITLE>
</HEAD>
<BODY>
<CENTER>

<P>
<CFOUTPUT>
    <B><FONT FACE="Arial" SIZE="3">Press Releases for #WhichYear#</FONT></B>
</CFOUTPUT>
<P>

<!--- output all of the article headers from the selected year.  Make the 
      headers links to another template which displays the entire article from
      the database --->
<TABLE CELLSPACING="0" CELLPADDING="3" BORDER="0">
<CFOUTPUT QUERY="GetTitles">
<TR>
   <TD VALIGN="center">#DateFormat(DatePosted,'mm/dd/yyyy')#&nbsp;&nbsp;</TD>
   <TD VALIGN="top"><A HREF="shownews.cfm?ArticleID=#ArticleID#">#Title#</A></TD>
</TR>
</CFOUTPUT>        
</TABLE>

<!--- list other years available for display.  If another year is chosen, it 
      reloads the page with the press releases from that particular year --->
<P>
<B>Other Years</B>
<BR>
<CFOUTPUT QUERY="GetArchiveDates">
    <A HREF="14-3.cfm?WhichYear=#PreviousYears#">#PreviousYears#</A>
</CFOUTPUT>

</BODY>
</HTML>
