<!--- Query the LDAP directory for all of the user entries --->
<CFLDAP ACTION="QUERY" NAME="GetUsers" ATTRIBUTES="dn,cn"
        START="o=airius.com" SCOPE="SUBTREE" FILTER="sn>=a"
        SERVER="localhost" TIMEOUT="90">
        
<!--- Output before changing the DN --->
<H3>Original list of user entries</H3>
<CFOUTPUT QUERY="GetUsers">        
#cn#: #dn#<BR>
</CFOUTPUT>

<!--- loop over each entry and attempt to change the DN so that the current uid 
      is replaced with a UUID created by ColdFusion.  Write an error message to 
      the screen for any entries that can not be updated for whatever reason --->
<H3>Modifying the DN for each entry to update the UID</H3>
<CFLOOP QUERY="GetUsers">
  <CFTRY>
   <CFLDAP ACTION="ModifyDN" SERVER="localhost" USERNAME="cn=Directory Manager"
           PASSWORD="mypassword" ATTRIBUTES="uid=#CreateUUID()#"
           DN="#GetUsers.DN#" TIMEOUT="90">
   <CFCATCH TYPE="any">
    <CFOUTPUT>
    <B>Error:</B>  Couldn't modify DN for entry: #GetUsers.DN#<BR>
    </CFOUTPUT>
   </CFCATCH>
  </CFTRY>
</CFLOOP>

<!--- Query the LDAP directory for all of the user entries --->
<CFLDAP ACTION="QUERY" NAME="GetModifiedUsers" ATTRIBUTES="dn,cn"
        START="o=airius.com" SCOPE="SUBTREE" FILTER="sn>=a"
        SERVER="localhost" TIMEOUT="90">
        
<!--- Output the modified entries --->
<H3>Modified list of user entries</H3>
<CFOUTPUT QUERY="GetModifiedUsers">        
#cn#: #dn#<BR>
</CFOUTPUT>
