<!--- Query the News table for all articles and create a new field called 
      MultipleValues as a comma delimited concatenation of ArticleType and 
      Status --->
<CFQUERY NAME="MyQuery" DATASOURCE="ProgrammingCF">
    SELECT *, ArticleType & ',' & Status AS MultipleValues FROM News
</CFQUERY>

<!--- Purge and populate the Verity collection with the data from the above
      query --->
<CFLOCK NAME="CFINDEX_Lock" TYPE="EXCLUSIVE" TIMEOUT="30">
<CFINDEX ACTION="Refresh" COLLECTION="News" KEY="ArticleID" TYPE="CUSTOM"
         TITLE="Title" QUERY="MyQuery" BODY="Article" CUSTOM1="MultipleValues"
         CUSTOM2="DatePosted">
</CFLOCK>
            
<CENTER>
  <H2>Done Indexing the Collection</H2>
</CENTER>
