<CFSETTING ENABLECFOUTPUTONLY="Yes">
<!------------------------------------------------------------------------
NAME:           CF_CountWords
FILE:           CountWords.cfm
CREATED:        04/24/1998
LAST MODIFIED:  06/29/2000
VERSION:        1.0
AUTHOR:         Rob Brooks-Bilson (rbils@amkor.com)
DESCRIPTION:    CF_CountWords is a custom CFML tag that counts the total
                number of words passed in a text string.  This tag is
                similar to the CFX tag CFX_WordCount but was written in
                CFML as opposed to C++.
ATTRIBUTES:     REQUIRED
                OutVar(string) = Name to assign to the variable returned by 
                                 The Tag.   
                String(string) = Block of text to get a word count for.         
            
KNOWN ISSUES:   None
------------------------------------------------------------------------->
<!--- set local variables to the passed attributes.  This isn't absolutely
      necessary, but it is a good idea as it allows you to reference the
      original values again if you ever need to. --->
<CFSET Local_String = Attributes.String>
<CFSET Local_OutVar = Attributes.OutVar>

<!--- Get the number of words in the string by treating the string as a list 
      and using the space character as the delimiter. --->
<CFSET WordsInString = ListLen(Local_String, " ")>

<!--- return the count back to the calling template.  The name of the caller
      variable is dynamically created using the OutVar value passed in as an
      attribute.  This allows the developer calling the template to use any
      variable name for the output that they want.  This avoids potential 
      variable name conflicts within the calling template. --->
<CFSET "Caller.#Local_OutVar#" = WordsInString>
<CFSETTING ENABLECFOUTPUTONLY="No">
