<!--- if no Title attribute is passed with a sub tag, specify "not titled" for
      the title.  If you wanted to make Title a required attribute, you could
      use IsDefined to check for its existence here.  If Title wasn' passed,
      processing could be aborted or exited --->
<CFPARAM NAME="Attributes.Title" DEFAULT="not titled">

<!--- initialize a Request variable called OrphanList.  This variable is used
      to hold a comma delimited list of orphaned CF_SubTag Titles  in the event
      that there are any.  The Request scope is used so that the list can be
      available to the calling template (or any other template) within the
      scope of this page request --->
<CFPARAM NAME="Request.OrphanList" DEFAULT="">

<!--- retrieve a list of all ancestor tags --->
<CFSET AncestorTags = GetBaseTagList()>
<!--- look for CF_BaseTag in the list of retrieved ancestor tags.  If it is
      found, get all of the base tag's information and assign it to a variable
      called ParentTagData.  Then, output the Title for each CF_SubTag as 
      well as the sub tag's base tag name --->
<CFIF ListFindNoCase(AncestorTags, "CF_BaseTag")>
    <CFOUTPUT>
    <CFSET BaseTagData = GetBaseTagData("CF_BaseTag")>
    <LI>Sub Tag Title: <I>#Attributes.Title#</I><BR>
        Base Tag Title: <I>#BaseTagData.Title#</I></LI>
    </CFOUTPUT>
    <!--- associate this tag with the base tag (CF_BaseTag) --->
    <CFASSOCIATE BASETAG="CF_BaseTag">
<CFELSE>
    <!--- if there are any orphaned sub tags, append their names to the 
          Request.OrphanList variable we initialized earlier.  This variable
          is automatically available to any template within the scope of this
          request, including the calling template --->
    <CFOUTPUT>
    <CFSET Request.OrphanList = ListAppend(Request.OrphanList,
           Attributes.Title)>
    </CFOUTPUT>
</CFIF>
