<!--- create a structure called stock to hold a stock quote --->
<CFSET STOCK = STRUCTNEW()>
<CFSET STOCK.COMPANY = "Allaire">
<CFSET STOCK.TICKER = "ALLR">
<CFSET STOCK.EXCHANGE = "NASDAQ">
<CFSET STOCK.PRICE = "66.25">
<CFSET STOCK.CHANGE = "+0.375">
<CFSET STOCK.LASTTRADETIME = "10:17AM">
<CFSET STOCK.LASTTRADEDATE = "02/02/2001">
<CFSET STOCK.VOLUME = "8300">

<!--- first we need to serialize the structure into a wddx packet --->
<CFWDDX ACTION="CFML2WDDX" INPUT="#Stock#" OUTPUT="MyWDDXPacket">

<!--- output the wddx packet in a text area so you can see the entire packet --->
<H3>WDDX Packet Containing A Simple Value (string)</H3>
<FORM>
<CFOUTPUT>
<TEXTAREA ROWS="6" COLS="50" WRAP="virtual">#HTMLEditFormat(MyWDDXPacket)#
</TEXTAREA>
</CFOUTPUT>
</FORM>  

<H3>Deserialize it to a JavaScript variable (view the source)</H3>
<!--- deserialize the wddx packet containing the string to a JAvaScript 
      variable --->
<CFWDDX ACTION="WDDX2JS" INPUT="#MyWDDXPacket#"
        OUTPUT="MyJavaScript" TOPLEVELVARIABLE="MyStock">

<!--- use JavaScript to output the contents of the WDDX packet containing the
      serialized stock structure.  Note that the JavaScript code that creates
      the stock struct is created dynamically --->    
<SCRIPT LANGUAGE="JavaScript">
/** This line generates the dynamic JavaScript
  * necessary to create our "struct" object.
  */
<CFOUTPUT>#MyJavaScript#</CFOUTPUT>

// Loop through the stock "struct" and ouput each key/value
 for (i in MyStock) {
   document.write([i] + ': ' + MyStock[i] + '<br>');
     }
</SCRIPT>
