<!--- create a new query object called Products and add four column 
      headers --->
<CFSET Products = QueryNew("ProductName, Color, Price, Qty")>

<!--- add three blank rows of data --->
<CFSET NewRows  = QueryAddRow(Products, 3)>

<!--- populate each blank row with data for each column --->
<CFSET temp = QuerySetCell(Products, "ProductName", "Widget", 1)>
<CFSET temp = QuerySetCell(Products, "Color", "Silver", 1)>
<CFSET temp = QuerySetCell(Products, "Price", "19.99", 1)>
<CFSET temp = QuerySetCell(Products, "Qty", "46", 1)>

<CFSET temp = QuerySetCell(Products, "ProductName", "Thingy", 2)>
<CFSET temp = QuerySetCell(Products, "Color", "Red", 2)>
<CFSET temp = QuerySetCell(Products, "Price", "34.99", 2)>
<CFSET temp = QuerySetCell(Products, "Qty", "12", 2)>

<CFSET temp = QuerySetCell(Products, "ProductName", "Sprocket", 3)>
<CFSET temp = QuerySetCell(Products, "Color", "Blue", 3)>
<CFSET temp = QuerySetCell(Products, "Price", "1.50", 3)>
<CFSET temp = QuerySetCell(Products, "Qty", "460", 3)>

<!--- create a one-dimensional array called ShippingArray to hold shipping 
      prices to be appended to the query object --->
<CFSET ShippingArray = ArrayNew(1)>
<CFSET ShippingArray[1] = "1.99">
<CFSET ShippingArray[2] = "3.48">
<CFSET ShippingArray[3] = "5.00">

<!--- create a new column called Shipping and populate it with the data from
      the ShippingArray array --->
<CFSET MyNewColumn = QueryAddColumn(Products, "Shipping", ShippingArray)>

<!--- create a table and output the contents of the query object --->
<TABLE>
<TR>
  <TH>Product</TH>
  <TH>Color</TH>
  <TH>Price</TH>
  <TH>Quantity</TH>
  <TH>Shipping</TH>
</TR>
<CFOUTPUT QUERY="Products">
<TR>
  <TD>#ProductName#</TD>
  <TD>#Color#</TD>
  <TD>#Price#</TD>
  <TD>#Qty#</TD>
  <TD>#DollarFormat(Shipping)#</TD>
</TR>
</CFOUTPUT>
</TABLE>
