<CFAPPLICATION NAME="MyApplication" SESSIONMANAGEMENT="Yes"
               CLIENTMANAGEMENT="No" SETCLIENTCOOKIES="Yes"
               SESSIONTIMEOUT="#CreateTimeSpan(0, 0, 30, 0)#"
               APPLICATIONTIMEOUT="#CreateTimeSpan(0, 0, 30, 0)#">

<!--- set the default value for username to blank --->
<CFPARAM NAME="Username" DEFAULT="">

<!--- if username and password exist, and the user is not already
      authenticated, we know that the login form was used to call the 
      page, so we attempt to authenticate the user --->
<CFIF IsDefined('Form.Username') AND IsDefined('Form.Password') 
      AND NOT IsAuthenticated()>
  <CFTRY>
    <CFAUTHENTICATE SecurityContext="ApplicationSecurity"
                    Username="#form.username#" Password="#form.password#"
                    SetCookie="Yes" ThrowOnFailure="Yes">

    <!-- if the authentication attempt fails, present the user with a 
         message telling them the login is invalid and to please try 
         again --->             
    <CFCATCH TYPE="Security">
      <CENTER>
      <H2>Invalid Login.  Please Try Again</H2>
      </CENTER>
    </CFCATCH>
  </CFTRY>             
</CFIF>

<!--- if the user is not authenticated, present them with the login 
      form.  Note that the login form posts to your Index.cfm page --->
<CFIF not IsAuthenticated()>
  <CENTER>
  <FORM ACTION="index.cfm" METHOD="POST">
  <INPUT TYPE="hidden" NAME="Username_required" VALUE="You must supply 
         a username">
  <INPUT TYPE="hidden" NAME="Password_required" VALUE="You must supply 
         a password">

  <TABLE BORDER=0>
  <TR>
    <TD>Username:</TD>
    <TD>
      <CFOUTPUT>
	   <INPUT TYPE="text" NAME="Username" SIZE="15" MAXLENGTH="255" 
             VALUE="#Username#">
      </CFOUTPUT>
    </TD>
  </TR>

  <TR>
    <TD>Password:</TD>
    <TD>
      <INPUT TYPE="password" NAME="Password" SIZE="15" "MAXLENGTH=255">
    </TD>
  </TR>

  <TR>
    <TD COLSPAN="2" ALIGN="center">
      <INPUT TYPE="SUBMIT" NAME="Submit" VALUE="Submit">
    </TD>
  </TR>
</TABLE>
</FORM>
</CENTER>		
<!--- this CFABORT keeps the requesting page from executing and 
      including its content on the same page as our form --->	
<CFABORT>
</CFIF>
